Ubuntu 6290 Published by

A MariaDB regression update has been released for Ubuntu Linux 20.04 LTS, 22.04 LTS, and 22.10.



USN-5739-2: MariaDB regression


=========================================================================
Ubuntu Security Notice USN-5739-2
February 22, 2023

mariadb-10.3, mariadb-10.6 regression
=========================================================================
A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS

Summary:

USN-5739-1 caused a regression.

Software Description:
- mariadb-10.6: MariaDB database
- mariadb-10.3: MariaDB database

Details:

USN-5739-1 fixed vulnerabilities in MariaDB. It caused a regression.
This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

MariaDB has been updated to 10.3.38 in Ubuntu 20.04 LTS and to 10.6.12
in Ubuntu 22.04 LTS and Ubuntu 22.10.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.10:
mariadb-server 1:10.6.12-0ubuntu0.22.10.1

Ubuntu 22.04 LTS:
mariadb-server 1:10.6.12-0ubuntu0.22.04.1

Ubuntu 20.04 LTS:
mariadb-server 1:10.3.38-0ubuntu0.20.04.1

This update uses a new upstream release, which includes additional bug
fixes. In general, a standard system update will make all the necessary
changes.

References:
  https://ubuntu.com/security/notices/USN-5739-2
  https://ubuntu.com/security/notices/USN-5739-1
  https://launchpad.net/bugs/2006882

Package Information:
  https://launchpad.net/ubuntu/+source/mariadb-10.6/1:10.6.12-0ubuntu0.22.10.1
  https://launchpad.net/ubuntu/+source/mariadb-10.6/1:10.6.12-0ubuntu0.22.04.1
  https://launchpad.net/ubuntu/+source/mariadb-10.3/1:10.3.38-0ubuntu0.20.04.1